#pragma once
#include "StickerItem.h"

class CScrollHelper;

class CStickerList : public CWnd
{
	DECLARE_DYNAMIC(CStickerList)

public:
	CStickerList();
	virtual ~CStickerList();

	void ShowSticker(CString strGroupID);
	void AllocStickerDataPointer(std::vector<CStickerItem*>* pVecAllSticker);
	void SetParentChatWnd(CWnd* pParent);	// ƼĿ õ  äâ ٷ ˷ֱ 

protected:
	DECLARE_MESSAGE_MAP()

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseLeave();

private:
	std::vector<CStickerItem*>* m_pVecAllSticker;		// ü ׷ ƼĿ
	std::vector<CStickerItem*> m_vecCurrentSticker;		//  õ ׷ ƼĿ(͸  Ƿ  delete m_vecAllSticker ϸ 
	CString m_strSelectedGroupID;
	CScrollHelper* m_scrollHelper;
	int m_nMouseOverStickerIndex;
	Image* m_pSticketSelectBg;
	bool m_bLbuttonDown;
	CWnd* m_pChatWnd;

	void ResizeItems();
	int CheckPointInSticker(CPoint point);

};
